package com.community.huiju.dao;

import com.community.huiju.model.TaSysMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TaSysMenuMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaSysMenu record);

    int insertSelective(TaSysMenu record);

    TaSysMenu selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaSysMenu record);

    int updateByPrimaryKey(TaSysMenu record);
    
    /**
     * 获取菜单列表
     * @param communityId
     * @return
     */
    List<TaSysMenu> selectByCommunity(@Param("communityId") Integer communityId);
}